View Issue Details

IDProjectCategoryLast Update
0019117AI War 2[All Projects] Gameplay IssueAug 3, 2017 8:21 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.200 Decisive Battle 
Fixed in Version0.505 Tooltips And Build Menu 
Summary0019117: Planets don't always show owner
DescriptionSo at the moment it seems like (Gold) appears after the planet name when I own the planet thusly: "Murdoch (Gold)". However, here is an example where I own the planet wallaby, but it does not have (Gold) after its name. However, Jena and Halpern do have (Gold) after their names.

Here is a picture of the planet showing I own it, and here is a picture of the galaxy map. Also here is a saved game.

On another note, I think putting (Gold) after the planet name is a start, but we definitely need some improvements here. From AI Classic, I recall that the planet names themselves were colored appropriately, and that the paths between planets also had colors associated with them. We should make sure to have things like that encorporated.
TagsNo tags attached.

Activities

BadgerBadger

May 18, 2017 9:15 am

reporter  

galaxy_map_for_wallaby.png (831,197 bytes)

BadgerBadger

May 18, 2017 9:15 am

reporter  

wallaby_planet.png (1,664,104 bytes)

BadgerBadger

May 18, 2017 9:16 am

reporter  

NewSave_10.save (1,231,352 bytes)

x4000Bughunter

May 18, 2017 4:32 pm

administrator   ~0046185

Visually there is some stuff to figure out in terms of how to best show planet ownership since the actual planets themselves can't be colored now (given those are eye candy instead here).

Leaving that as a separate issue (I'm super open to suggestions there, incidentally, but it needs probably a forum discussion with others), I _think_ that this issue might be fixed in the coming version. If you still see it in 0.201 or higher, please let me know.

Thanks!

BadgerBadger

May 19, 2017 8:04 pm

reporter   ~0046190

This still reoccurs in .201. However, it seems that it's only your starting planet that suffers from this problem.

x4000Bughunter

May 19, 2017 8:07 pm

administrator   ~0046191

Is this before you own it? Just checking that it's not before you capture it. You're basically saying that after capturing it, it still says the enemy? Does that persist after save, or just right at the start there? I should be able to repro pretty easily it sounds like, but just want to make sure I understand fully.

BadgerBadger

May 19, 2017 8:11 pm

reporter   ~0046192

What I observed was that I had captured my starting planet, then three others nearby. I own all the planets. My start planet did not say (Gold) after the name (though it was owned), but the others did.

I then saved the game (which I am uploading as NewSave_1). Now when I reload it none of my planets have (Gold) after the names.

BadgerBadger

May 19, 2017 8:11 pm

reporter  

NewSave_1.save (1,207,851 bytes)

x4000Bughunter

May 19, 2017 8:13 pm

administrator   ~0046193

Well that is doubly curious! Thanks for that -- I'll check both things.

BadgerBadger

May 19, 2017 8:15 pm

reporter   ~0046194

Also in NewSave_1, none of the planets appear to have Mark numbers next to them anymore.

BadgerBadger

May 19, 2017 8:22 pm

reporter   ~0046195

I later lost and recaptured one of the planets, and after the recapture (Gold) appears after it once more.

BadgerBadger

Jul 9, 2017 2:04 pm

reporter   ~0046386

Here's a saved game where I own a number of planets but there's no feedback for this via the Galaxy screen. For example, I own Pal but there's no (Gold) next to the name.

When I saved the game, it looked fine. Once I quit and reloaded this bug showed up.

TakenFirstSystem~#SS#923522605#842#HighAIP#Vanilla#Normal.save (374,687 bytes)

BadgerBadger

Jul 9, 2017 2:05 pm

reporter   ~0046387

Also note in the previous saved game that it also has no Mark numbers with any planets

x4000Bughunter

Aug 3, 2017 8:21 pm

administrator   ~0046407

Thanks!

* Previously, data on the galaxy map would get noticeably stale in terms of frequently not showing the mark level after the planet name, or not showing an ownership change, etc. This now automatically self-corrects every 400ms if something is wrong and you are on the galaxy map.

Issue History

Date Modified Username Field Change
May 18, 2017 9:15 am BadgerBadger New Issue
May 18, 2017 9:15 am BadgerBadger File Added: galaxy_map_for_wallaby.png
May 18, 2017 9:15 am BadgerBadger File Added: wallaby_planet.png
May 18, 2017 9:16 am BadgerBadger File Added: NewSave_10.save
May 18, 2017 11:30 am BadgerBadger Description Updated View Revisions
May 18, 2017 4:32 pm x4000Bughunter Note Added: 0046185
May 18, 2017 4:32 pm x4000Bughunter Assigned To => x4000Bughunter
May 18, 2017 4:32 pm x4000Bughunter Status new => feedback
May 19, 2017 8:04 pm BadgerBadger Note Added: 0046190
May 19, 2017 8:04 pm BadgerBadger Status feedback => assigned
May 19, 2017 8:07 pm x4000Bughunter Note Added: 0046191
May 19, 2017 8:11 pm BadgerBadger Note Added: 0046192
May 19, 2017 8:11 pm BadgerBadger File Added: NewSave_1.save
May 19, 2017 8:13 pm x4000Bughunter Note Added: 0046193
May 19, 2017 8:15 pm BadgerBadger Note Added: 0046194
May 19, 2017 8:22 pm BadgerBadger Note Added: 0046195
Jul 9, 2017 2:04 pm BadgerBadger File Added: TakenFirstSystem~#SS#923522605#842#HighAIP#Vanilla#Normal.save
Jul 9, 2017 2:04 pm BadgerBadger Note Added: 0046386
Jul 9, 2017 2:05 pm BadgerBadger Note Added: 0046387
Aug 3, 2017 8:21 pm x4000Bughunter Status assigned => resolved
Aug 3, 2017 8:21 pm x4000Bughunter Resolution open => fixed
Aug 3, 2017 8:21 pm x4000Bughunter Fixed in Version => 0.505 Tooltips And Build Menu
Aug 3, 2017 8:21 pm x4000Bughunter Note Added: 0046407